## ros-kinetic-cob-mimic 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_mimic)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs diagnostic_msgs diagnostic_updater message_generation roscpp roslib)
find_package(PkgConfig REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem thread)
pkg_check_modules(libvlc REQUIRED libvlc)

### Message Generation ###
add_service_files(DIRECTORY srv FILES
  SetMimic.srv
)

add_action_files(DIRECTORY action FILES
  SetMimic.action
)

generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(
  CATKIN_DEPENDS actionlib actionlib_msgs diagnostic_msgs message_runtime roscpp
)

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(mimic src/mimic_node.cpp)
add_dependencies(mimic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(mimic ${catkin_LIBRARIES} ${libvlc_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS mimic
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS src/test_mimic.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY common
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-mimic (0.7.5-3xenial) xenial; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-mimic (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-mimic (0.7.3-3xenial) xenial; urgency=high

  * Merge pull request #413 <https://github.com/ipa320/cob_driver/issues/413> from fmessmer/remove_mimic_python
    remove cob_mimic python driver
  * remove cob_mimic python driver
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-mimic (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #410 <https://github.com/ipa320/cob_driver/issues/410> from fmessmer/fix_mimic_preemption
    fix mimic preemption + add parameters
  * fix preemption condition
  * add random_mimics parameter
  * add default_mimic parameter
  * fix fullscreen
  * add blocking parameter
  * fix mimic preemption
  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint errors
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-mimic (0.7.1-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-mimic (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * added missing boost format include
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Merge pull request #398 <https://github.com/ipa320/cob_driver/issues/398> from LoyVanBeek/feature/reduce_framerate_and_resolution
    Reduce resolution and framerate in .mp4-files
  * Reduce resolution and framerate in .mp4-files
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, Loy van Beek

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-mimic (0.6.15-3xenial) xenial; urgency=high

  * Merge pull request #394 <https://github.com/ipa320/cob_driver/issues/394> from HannesBachter/feature/diagnostics
    publish diagnostics
  * use one instance and vout config
  * change diagnostics info for active mimic
  * use own thread for diagnostics
  * use async spinner and not one-instance
  * use variable for action active
  * remove c++11 compile and order mutex unlock
  * add compile option and cleanup
  * publish diagnostics and use multithreaded spinner
  * 0.6.14
  * update changelogs
  * Contributors: Benjamin Maidel, Hannes Bachter, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-mimic (0.6.14-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-mimic (0.6.13-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-mimic (0.6.12-3xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #375 <https://github.com/ipa320/cob_driver/issues/375> from fmessmer/bulletproof_mimic
    bulletproof mimic
  * bulletproof mimic
  * Merge pull request #371 <https://github.com/ipa320/cob_driver/issues/371> from fmessmer/mimic_play_nondefault_mimics
    allow to play non-default mimics by specifying full filepath
  * allow to play non-default mimics by specifying full filepath
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-mimic (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #359 <https://github.com/ipa320/cob_driver/issues/359> from ipa-bnm/fix/mimic
    [cob_mimic] use glx/opengl output for mimic
  * use glx/opengl output for mimic, fixes mimic issue for 6th and 7th gen nuc
  * Merge pull request #354 <https://github.com/ipa320/cob_driver/issues/354> from ipa-bnm/feature/mimic
    [Mimic] improvements
  * Merge pull request #353 <https://github.com/ipa320/cob_driver/issues/353> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #356 <https://github.com/ipa320/cob_driver/issues/356> from ipa-nhg/MimicPy
    HotFix: readded python node for mimic
  * remove duplicated test_mimic.py install tag
  * use the old driver
  * readded python node for mimic
  * do not start blinking timer on sleeping or falling_asleep requests
  * added random mimics
  * double check username
  * update maintainer
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #352 <https://github.com/ipa320/cob_driver/issues/352> from ipa-bnm/feature/mimic_sim
    Do not run mimic in fullscreen if sim is enabled
  * use license apache 2.0
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into feature/mimic_sim
  * no fullscreen if sim enabled
  * Merge pull request #345 <https://github.com/ipa320/cob_driver/issues/345> from ipa-fxm/fix_mimic_permission
    guarantee unique copy destinations


=== debian/control ===
Source: ros-kinetic-cob-mimic
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libvlc-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslib, vlc
Homepage: http://ros.org/wiki/cob_mimic
Standards-Version: 3.9.2

Package: ros-kinetic-cob-mimic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libvlc-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rospy, vlc
Description: This package implements the Care-O-bot mimic

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-mimic//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
